gRPC C#
gRPC C#
Namespaces
Grpc.Core
Server.ServiceDefinitionCollection Class
ServiceDefinitionCollection Methods
Add Method
GetEnumerator Method

Server ServiceDefinitionCollection Add Method

Adds a service definition to the server. This is how you register handlers for a service with the server. Only call this before Start().

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public void Add(
    	ServerServiceDefinition serviceDefinition
    )

    Public Sub Add (
    	serviceDefinition As ServerServiceDefinition
    )

    public:
    void Add(
    	ServerServiceDefinition^ serviceDefinition
    )

    member Add :
            serviceDefinition : ServerServiceDefinition -> unit

#### Parameters

serviceDefinition
  Type: Grpc.Core
  ServerServiceDefinition

  [Missing <param name="serviceDefinition"/> documentation for "M:Grpc.Core.Server.ServiceDefinitionCollection.Add(Grpc.Core.ServerServiceDefinition)"]

See Also

#### Reference

Server
ServiceDefinitionCollection Class
Grpc.Core Namespace